libstdc++

Classes | Namespaces | Macros
typeindex File Reference

Go to the source code of this file.

## Classes

struct | std::hash< type_index >
| std::hash specialization for type_index. More...
struct | std::type_index
| Class type_indexThe class type_index provides a simple wrapper for type_info which can be used as an index type in associative containers (23.6) and in unordered associative containers (23.7). More...

## Namespaces

namespace | std

## Macros

#define | _GLIBCXX_TYPEINDEX

## Detailed Description

This is a Standard C++ Library header.

Definition in file typeindex.